Skip to main content

LicenseAccess

V2 License Access

Workspaces API

Version: 1.0

Verify the user and token has access to the requested resources.

Given a user token, verify that the user has access to the requested service, org and hub, as well as that the token as the required scope.

On success, returns details of the calling user, what they are entitled to, and the authorization the request was made with.

Args: org_id (UUID): UUID of the Evo organisation service (str): service name (i.e. "blockmodel") hub (str): the hub code required_scope(str): scope required for the service Returns: A JSON response.

Parameters

tx-uuidstring | null
authorizationstring
Required

servicestring[]
Default: []
required_scopestring[]
Default: []
hubstring | null
org_idstring | null

Returns

200

Successful Response

Auth details,retrieved from token, for v2 License Access Response

client_idstring
expinteger
iatinteger
issstring | null
jtistring | null
scopestring[] | null
sidstring | null
typestring
verstring

Entitlement details for v2 License Access Response

hub_codestring
instance_idstring | null
instance_namestring | null
org_idstring
org_namestring
rolesstring[]
servicesstring[]

User details for v2 License Access Response

org_idstring | null
org_namestring | null
substring

Endpoint

GET
/workspace/evo/identity/v2/license-access

Request

curl -X GET 'https://{service_host}/workspace/evo/identity/v2/license-access' \
-H 'Authorization: Bearer <ACCESS_TOKEN>'

Response

{
"auth_details": {
"client_id": "string",
"exp": 0,
"iat": 0,
"iss": "string",
"jti": "string",
"scope": [
"string"
],
"sid": "string",
"type": "string",
"ver": "string"
},
"entitlements": {
"hub_code": "string",
"instance_id": "string",
"instance_name": "string",
"org_id": "string",
"org_name": "string",
"roles": [
"string"
],
"services": [
"string"
]
},
"user": {
"org_id": "string",
"org_name": "string",
"sub": "string"
}
}

What is the reason for your feedback?